Referência da APIPrecos
Criar: preços
POST
Permissão: products:write. A conta Stripe é resolvida no servidor a partir da organização autorizada. Exige Idempotency-Key com 8 a 255 caracteres.
header
x-api-key<token>API key Adila Pay vinculada à organização; use somente no servidor.
organizationId*stringUUID da organização vinculada à API key ou à sessão autorizada.
Format
uuididempotency-key*stringChave estável da operação lógica. Reutilize apenas com os mesmos parâmetros em retries.
Length
8 <= length <= 255application/json- body
product?stringMatch
^[a-zA-Z0-9_]+$Length
3 <= length <= 255product_data?currency*stringMatch
^[a-z]{3}$unit_amount?integerRange
0 <= value <= 99999999nickname?stringLength
1 <= length <= 250lookup_key?stringLength
1 <= length <= 200tax_behavior?stringValue in
"inclusive""exclusive""unspecified"recurring?billing_scheme?stringValue in
"per_unit""tiered"tiers_mode?stringValue in
"graduated""volume"tiers?array<>Items
1 <= items <= 25custom_unit_amount?transform_quantity?metadata?Properties
properties <= 50Objeto Stripe retornado pelo backend. Campos de resposta ainda não possuem schema detalhado neste contrato.
application/json- response
Objeto Stripe sem schema de resposta detalhado no backend atual.
[key: string]?anycurl -X POST "https://example.com/v2/organizations/497f6eca-6276-4993-bfeb-53cbbbba6f08/stripe/prices" \ -H "idempotency-key: stringst" \ -H "Content-Type: application/json" \ -d '{ "currency": "string" }'{}